<?php

/**
 * @version     $Id: ficheperso.php 9 2014-09-29 10:51:55Z david.dorchies $
 * @package     Joomla16.Tutorials
 * @subpackage  Components
 * @copyright   Copyright (C) 2005 - 2010 Open Source Matters, Inc. All rights reserved.
 * @author      Christophe Demko
 * @link        http://joomlacode.org/gf/project/umrmanagement_1_6/
 * @license     License GNU General Public License version 2 or later
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla modelform library
jimport('joomla.application.component.modelitem');

/**
 * UmrManagement Model
 */
class UmrManagementModelFichePerso extends JModelItem
{
    function getItem()
    {
        $idmvt = (int)JRequest::getCmd('idmvt');
        // Get a db connection.
        $db = JFactory::getDbo();

        // Create a new query object.
        $query = $db->getQuery(true);

        // Select some fields
        $query->select('u.*');
        $query->select('m.*');

        // From
        $query->from($db->quoteName('#__umrmanagement_mouvement','m'));
        $query->innerJoin($db->quoteName('#__umrmanagement','u') . ' ON '. $db->quoteName('m.id') . ' = '. $db->quoteName('u.id'));


        // Where clause
        $query->where($db->quoteName('m.idmvt').' = '.$idmvt);

        $db->setQuery($query);

        return $db->loadObject();
    }
}
?>
