<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla view library
jimport('joomla.application.component.view');
require_once('components/com_umrmanagement/models/umrtools.php');

/**
 * HelloWorlds View
 */
class UmrManagementViewFichePerso extends JView
{

    /**
     * Tool box for libelle and etc.
     */
    public $umrTools;


    function DisplayOneRow($sField,$iLib)
    {
        echo '<tr><td class="right" width="10%">';
        echo JText::_('COM_UMRMANAGEMENT_UMRMANAGEMENT_FIELD_'.strtoupper($sField)); echo '</td><td class="center" width="1%">:</td><td>';
        switch($iLib)
        {
            case 0: // Field value
                if($sField=='email')
                {
                    echo '<a href="mailto:';
                    echo $this->item->{$sField};
                    echo '">';
                } elseif($sField=='website') {
                    echo '<a href="';
                    echo $this->item->{$sField};
                    echo '">';
                }
                echo $this->item->{$sField};
                if($sField=='email' | $sField=='website')
                {
                    echo '</a>';
                }
                break;
            case 1: // Short lib
                echo $this->umrTools->GetLibelleCourt($sField,$this->item->{$sField});
                break;
            case 2: // Long lib
                echo $this->umrTools->GetLibelleLong($sField,$this->item->{$sField});
                break;
            case 3: // Both lib
                echo $this->umrTools->GetLibelle($sField,$this->item->{$sField});
                break;
        }
        echo '</td></tr>';
    }


    /**
     * View display method
     * @return void
     */
    function display($tpl = null)
    {
        // Get data from the model
        $this->item = $this->get('Item');

        // Check for errors.
        if (count($errors = $this->get('Errors')))
        {
                JError::raiseError(500, implode('<br />', $errors));
                return false;
        }

        // Add tools
        $this->umrTools = new UmrManagementModelUmrTools();

        // Display the template
        parent::display($tpl);
    }
}
?>
